# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/iio/adc/lltc,ltc2496.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Linear Technology / Analog Devices LTC2496 ADC

maintainers:
  - Lars-Peter Clausen <lars@metafoo.de>
  - Michael Hennerich <Michael.Hennerich@analog.com>
  - Stefan Popa <stefan.popa@analog.com>

properties:
  compatible:
    enum:
      - lltc,ltc2496

  vref-supply:
    description: phandle to an external regulator providing the reference voltage
    $ref: /schemas/types.yaml#/definitions/phandle

  reg:
    description: spi chipselect number according to the usual spi bindings

  spi-max-frequency:
    description: maximal spi bus frequency supported

required:
  - compatible
  - vref-supply
  - reg

additionalProperties: false

examples:
  - |
    spi {
        #address-cells = <1>;
        #size-cells = <0>;

        adc@0 {
            compatible = "lltc,ltc2496";
            reg = <0>;
            vref-supply = <&ltc2496_reg>;
            spi-max-frequency = <2000000>;
        };
    };
